Bug 239493 - ifenslave -d hangs machine
ifenslave -d hangs machine
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-05-08 16:52 EDT by Paul B Schroeder
Modified: 2008-02-07 23:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:26:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul B Schroeder 2007-05-08 16:52:27 EDT
Description of problem:
On our system, the ifenslave detach (ifenslave -d) as executed in ifup-eth and
ifdown-eth to set up and take down bonding hangs the machine. 

Version-Release number of selected component (if applicable):


How reproducible:
We are using 8139too and pegasus modules as eth0 and eth1 respectively.  We set
up bonding using a static IP and the machine will lock when bringing down the
interface.  Using dhcp it will also invoke "ifenslave -d" when bringing up the
interface and it will lock up there too.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
It's easily fixed by using sysfs to detach the slave devices.  Maybe it's time
to update initscripts to use sysfs instead of ifenslave when setting up or
shutting down bonding devices??

I've updated ifup-eth where it starts bonding with dhcp and replaced "ifenslave
-d $DEV $DEVICE" with:
echo "-$DEVICE" > /sys/class/net/${DEV}/bonding/slaves

Also updated ifdown-eth and the line "/sbin/ifenslave -d ${MASTER} ${DEVICE}
2>/dev/null" with:
echo "-$DEVICE" > /sys/class/net/${MASTER}/bonding/slaves

I'm not sure what ifenslave does different exactly, but using sysfs to detach no
longer causes hangups on our system.
Comment 1 Jon Stanley 2008-01-07 20:53:53 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Jon Stanley 2008-02-07 23:26:46 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.